Skip to main content
POST
/
v1
/
namespaces
/
{namespace_id}
/
models
/
{model_id}
/
deploy
Deploy model to Ray object store
curl --request POST \
  --url https://api.mixpeek.com/v1/namespaces/{namespace_id}/models/{model_id}/deploy \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "model_id": "<string>",
  "namespace_id": "<string>",
  "deployment_status": "<string>",
  "message": "<string>",
  "cached": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

namespace_id
string
required
model_id
string
required

Response

Successful Response

Response model for model deployment.

Deploying a model pre-loads the weights into the Ray object store, making them available for zero-copy access by plugins.

success
boolean
required

Whether deployment succeeded

model_id
string
required

Model identifier

namespace_id
string
required

Namespace ID

deployment_status
string
required

Deployment status (deployed, failed)

message
string
required

Status message

cached
boolean
default:false

Whether model is cached in object store